Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 197937 - qt4: enable sound(nas) support
Summary: qt4: enable sound(nas) support
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: qt4
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 197936
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-07-07 14:15 UTC by Frank Büttner
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-13 14:25:00 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 197936 0 medium CLOSED Review Request: nas: Network Audio System 2021-02-22 00:41:40 UTC

Description Frank Büttner 2006-07-07 14:15:43 UTC
Qt need NAS to support sound's now I have build NAS for FC so that sound can be
enabaled. When the package will go into FC extras.

Comment 1 Rex Dieter 2006-07-07 14:45:01 UTC
Will do as soon as NAS (see bug #197936) is approved.

Comment 2 Rex Dieter 2006-07-13 14:25:00 UTC
%changelog
* Thu Jul 13 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.4-6
- make buildable on legacy releases
- -system-nas-sound (bug #197937)

Let me know when/if nas is available for branches other than devel, and I'll
push nas-enabled qt4 builds there too.

Comment 3 Frank Büttner 2006-07-14 21:34:10 UTC
So build for FC5 are ready. But FC4 fails at EMT64 at i386 it will work.
You can take a look at
http://buildsys.fedoraproject.org/logs/fedora-4-extras/12612-nas-1.8-6.fc4/x86_64/build.log
or try it. I can't try it, because I don't have an EMT64 system.

Comment 4 Kevin Kofler 2006-07-17 01:39:01 UTC
I'd call this an "X11" license, it's very close to what X11 uses.
The current "Public Domain" is definitely wrong.

Comment 5 Rex Dieter 2006-07-17 13:20:36 UTC
Keven, I assume you're refering to nas (and not qt4, for which *this* bug is)?  (:

Comment 6 Rex Dieter 2006-07-21 11:43:24 UTC
Frank, FYI, still waiting for a nas build for FC-4 branch to enable qt4
sound(nas) support there too.

Comment 7 Frank Büttner 2006-07-21 14:59:22 UTC
The build fails at EMT64 on FC4. And I don't have an EMT64 system to check what
goes wrong. The only that I can do is dissable the build for EMT64 on FC4. On
FC5 it buids on all platform.

Comment 8 Rex Dieter 2006-07-26 13:23:35 UTC
Frank, I've rebuilt qt4 on fc4 with nas support (except on x86_64).  Did you
ever open a bugzilla report documenting the failed nas fc4/x86_64 build? (if
not, you should).

Comment 9 Frank Büttner 2006-07-26 15:29:46 UTC
So far I can see in the build files, the problem is, that an wrong make file
will be generated. But why can I not say. Without help from somebody with an
EMT64 system it is not posible to fix it. I thing without find the error it will
be not possible to open an bugzilla report, because I don't now in witch
componet the error is.

Comment 10 Rex Dieter 2006-07-26 15:37:18 UTC
Open the report against nas (for now), with a pointer to the failed build.log

Comment 11 Frank Büttner 2006-07-26 16:35:02 UTC
Ok. But for what Fedora 4 component?
Shut I do this for nas, and waiting for someone with an EMT64 system?


Note You need to log in before you can comment on or make changes to this bug.